#include <iostream>
#include "QQbar_threshold/load_grid.hpp"
#include "QQbar_threshold/xsection.hpp"

int main(){
  namespace QQt = QQbar_threshold;
  QQt::load_grid(QQt::grid_directory() + "ttbar_grid.tsv");
  const double mu = 50.;
  const double mu_width = 350.;
  const double mt_MS = 160.; // mass mt(mt) in the MSbar scheme
  const double width = 1.4;
  QQt::options opt = QQt::top_options();
  // MSbar scheme with mu_MSbar = mt_MS
  opt.mass_scheme = {QQt::MSshift, mt_MS};
  // turn off all non-QCD corrections
  opt.beyond_QCD = QQt::SM::none;
  for(double sqrt_s = 330.; sqrt_s < 345.; sqrt_s += 1.0){
    std::cout << sqrt_s << '\t'
      << QQt::ttbar_xsection(
          sqrt_s, {mu, mu_width}, {mt_MS, width}, QQt::N3LO,
          opt
      )
      << '\n';
  }
}
