#include <iostream>

#include "QQbar_threshold/scheme_conversion.hpp"
#include "QQbar_threshold/energy_levels.hpp"
#include "QQbar_threshold/residues.hpp"

int main(){
  namespace QQt = QQbar_threshold;
  const double mb_PS = 4.5;
  const double mu = 4.5;
  QQt::options opt = QQt::bottom_options();
  opt.contributions.cv = {0., 0., 0.};
  opt.contributions.dv = {0., 0.};
  const double E_1_PS = QQt::bbbar_energy_level(
      1, mu, mb_PS, QQt::N3LO, opt
  );
  const double s_1 = (2*mb_PS + E_1_PS)*(2*mb_PS + E_1_PS);
  const double mb_pole = QQt::bottom_pole_mass(
      mu, mb_PS, QQt::N3LO, opt
  );
  std::cout
    << s_1/(4*mb_pole*mb_pole)*QQt::bbbar_residue(
        1, mu, mb_PS, QQt::N3LO, opt
    )
    << '\n';
}
