Needs["QQbarThreshold`"];

With[
   {mtPS = 168., mu = 50., precision = 10^-4},
   (* convert to pole scheme  *)
   mtPole = TopPoleMass[mu, mtPS, "N3LO"];
   (* convert to MSbar scheme *)
   mtMS = mtPS;
   For[
      deltaM = TopPoleMass[
         mu, mtMS, "N3LO", MassScheme -> {"MSshift", mtMS}
      ] - mtPole,
      Abs[deltaM] > precision,
      deltaM = TopPoleMass[
         mu, mtMS, "N3LO", MassScheme -> {"MSshift", mtMS}
      ] - mtPole,
      mtMS -= deltaM
   ];
   Print["pole mass: ", mtPole];
   Print["MSbar mass: ", mtMS];
];
